apiVersion: apps/v1
kind: Deployment
metadata:
  name: todo-web-app
  namespace: todo-app-ns-v2
  labels:
    app: todo-web-app
spec:
  replicas: 2
  selector:
    matchLabels:
      app: todo-web-app
  template:
    metadata:
      labels:
        app: todo-web-app
    spec:
      containers:
      - name: todo-web-app
        image: todo-web-app:latest
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 80
        resources:
          limits:
            cpu: "500m"
            memory: "256Mi"
          requests:
            cpu: "100m"
            memory: "128Mi"
